Subject: Re: [PATCH 1/2] Make generated MSVC solution file open from Windows Explorer

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 25 Sep 2009 17:05:00 -0700

Sebastian Schuberth <[email-masked]> wrote:
> On Sat, Sep 26, 2009 at 00:59, Shawn O. Pearce <[email-masked]> wrote:
> > Sebastian Schuberth <[email-masked]> wrote:
> >> On Sat, Sep 26, 2009 at 00:05, Shawn O. Pearce <[email-masked]> wrote:
> >> > Something is wrong with both patches; neither applies.
> >>
> >> Hmm, the patches apply fine onto master for me.
> >
> > After going through your client and the GMane email gateway?
> > Or before you pasted it into the message?
> 
> Both. As a test for the first, I've copied & pasted my mail as it
> appears for me in gmane.comp.version-control.git to a new file and
> successfully applied that file via "git apply". I had to do it this
> way, as on Windows I cannot really use "git am" with Thunderbird.

Odd.  If I copy and paste from Thunderbird, its fine.  But if I
save the body out as an attachment from mutt, it fails.

I wonder if it has to do with the From header appearing in the top
of the body; this header has to be escaped with a leading space in
mbox format.  It looks like Thunderbird might be doing some magic to
remove that leading space from the context lines, while mutt isn't.

Next time, don't include the first From line?

-- 
Shawn.